## org.jfree.chart.plot
Class MultiplePiePlot

    java.lang.Object
      org.jfree.chart.plot.Plot
          org.jfree.chart.plot.MultiplePiePlot

All Implemented Interfaces:
  AxisChangeListener, java.lang.Cloneable, DatasetChangeListener, java.util.EventListener, java.io.Serializable

public class MultiplePiePlot
extends Plot
implements java.lang.Cloneable, java.io.Serializable

A plot that displays multiple pie plots using data from a `CategoryDataset`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.plot.Plot
`DEFAULT_BACKGROUND_ALPHA, DEFAULT_BACKGROUND_PAINT, DEFAULT_FOREGROUND_ALPHA, DEFAULT_INSETS, DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, MINIMUM_HEIGHT_TO_DRAW, MINIMUM_WIDTH_TO_DRAW, ZERO`

Constructor Summary
`MultiplePiePlot()` Creates a new plot with no data.
`MultiplePiePlot(CategoryDataset dataset)` Creates a new plot.

Method Summary
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea, PlotState parentState, PlotRenderingInfo info)` Draws the plot on a Java 2D graphics device (such as the screen or a printer).
`org.jfree.util.TableOrder` `getDataExtractOrder()` Returns the data extract order (by row or by column).
`LegendItemCollection` `getLegendItems()` Returns a collection of legend items for the pie chart.
`double` `getLimit()` Returns the limit (as a percentage) below which small pie sections are aggregated.
`JFreeChart` `getPieChart()` Returns the pie chart that is used to draw the individual pie plots.
`java.lang.String` `getPlotType()` Returns a short string describing the type of plot.
`void` `setDataExtractOrder(org.jfree.util.TableOrder order)` Sets the data extract order (by row or by column) and sends a `PlotChangeEvent` to all registered listeners.
`void` `setLimit(double limit)` Sets the limit below which pie sections are aggregated.
`void` `setPieChart(JFreeChart pieChart)` Sets the chart that is used to draw the individual pie plots.

Methods inherited from class org.jfree.chart.plot.Plot

`addChangeListener, axisChanged, clone, datasetChanged, draw, drawBackground, drawBackgroundImage, drawNoDataMessage, drawOutline, equals, fillBackground, getBackgroundAlpha, getBackgroundImage, getBackgroundImageAlignment, getBackgroundPaint, getDataAreaRatio, getDatasetGroup, getDrawingSupplier, getForegroundAlpha, getInsets, getNoDataMessage, getNoDataMessageFont, getNoDataMessagePaint, getOutlinePaint, getOutlineStroke, getParent, getRectX, getRectY, getRootPlot, handleClick, isSubplot, notifyListeners, removeChangeListener, resolveDomainAxisLocation, resolveRangeAxisLocation, setBackgroundAlpha, setBackgroundImage, setBackgroundImageAlignment, setBackgroundPaint, setDataAreaRatio, setDatasetGroup, setDrawingSupplier, setForegroundAlpha, setInsets, setInsets, setNoDataMessage, setNoDataMessageFont, setNoDataMessagePaint, setOutlinePaint, setOutlineStroke, setParent, zoom`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiplePiePlot

    public MultiplePiePlot()

  Creates a new plot with no data.

### MultiplePiePlot

    public MultiplePiePlot(CategoryDataset dataset)

  Creates a new plot.

Parameters:
  `dataset` - the dataset (`null` permitted).

Method Detail

### getPieChart

    public JFreeChart getPieChart()

  Returns the pie chart that is used to draw the individual pie plots.

  Returns:
    the pie chart.

### setPieChart

    public void setPieChart(JFreeChart pieChart)

  Sets the chart that is used to draw the individual pie plots.

  Parameters:
    `pieChart` - the pie chart.

### getDataExtractOrder

    public org.jfree.util.TableOrder getDataExtractOrder()

  Returns the data extract order (by row or by column).

  Returns:
    the data extract order (never `null`).

### setDataExtractOrder

    public void setDataExtractOrder(org.jfree.util.TableOrder order)

  Sets the data extract order (by row or by column) and sends a `PlotChangeEvent` to all registered listeners.

  Parameters:
    `order` - the order (`null` not permitted).

### getLimit

    public double getLimit()

  Returns the limit (as a percentage) below which small pie sections are aggregated.

  Returns:
    The limit percentage.

### setLimit

    public void setLimit(double limit)

  Sets the limit below which pie sections are aggregated. Set this to 0.0 if you don't want any aggregation to occur.

  Parameters:
    `limit` - the limit percent.

### getPlotType

    public java.lang.String getPlotType()

  Returns a short string describing the type of plot.

  Specified by:
    `getPlotType` in class `Plot`
  Returns:
    the plot type.

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D plotArea,
                     PlotState parentState,
                     PlotRenderingInfo info)

  Draws the plot on a Java 2D graphics device (such as the screen or a printer).

  Specified by:
    `draw` in class `Plot`
  Parameters:
    `g2` - the graphics device.
    `plotArea` - the area within which the plot should be drawn.
    `parentState` - the state from the parent plot, if there is one.
    `info` - collects info about the drawing.

### getLegendItems

    public LegendItemCollection getLegendItems()

  Returns a collection of legend items for the pie chart.

  Overrides:
    `getLegendItems` in class `Plot`
  Returns:
    the legend items.